import request from "@/utils/request"; // 你的axios封装

// 【【【【【校友相册列表】】】】】
// 校友相册分页数据
export function getQueryImagePage(params) {
  return request({
    url: "/api/alumniImage/queryImagePage",
    method: "get",
    params: params,
  });
}

// 获取相册分类下拉列表数据
export function queryCategoryImages() {
  return request({
    url: "/api/alumniCategoryImage/queryCategoryImages",
    method: "get",
  });
}

// 新增校友相册
export function insertWebImage(data) {
  return request({
    url: "/api/alumniImage/insertWebImage",
    method: "post",
    data: data,
  });
}
// 编辑校友相册
export function updateImage(data) {
  return request({
    url: "/api/alumniImage/updateImage",
    method: "post",
    data: data,
  });
}

// 删除校友相册数据
export function deleteImageById(params) {
  return request({
    url: `/api/alumniImage/deleteImageById`,
    method: "get",
    params: params,
  });
}

// 【【【【【校友相册列表】】】】】】
// 获取相册分类分页数据
export function getQueryCategoryImagePage(params) {
  return request({
    url: "/api/alumniCategoryImage/queryCategoryImagePage",
    method: "get",
    params: params,
  });
}

// 新增相册分类数据
export function insertCategoryImage(data) {
  return request({
    url: "/api/alumniCategoryImage/insertCategoryImage",
    method: "post",
    data: data,
  });
}
// 更新相册分类数据
export function updateCategoryImage(data) {
  return request({
    url: "/api/alumniCategoryImage/updateCategoryImage",
    method: "post",
    data: data,
  });
}

// 删除相册分类数据
export function deleteCategoryImage(params) {
  return request({
    url: `/api/alumniCategoryImage/deleteCategoryImage`,
    method: "get",
    params: params,
  });
}

// 【【【【【照片上传审核】】】】】】
// 获取校友相册审核分页数据
export function getQueryImageApplyPage(params) {
  return request({
    url: "/api/alumniImage/queryImageApplyPage",
    method: "get",
    params: params,
  });
}

// 10.11.	审核校友相册数据
export function toExamineImage(params) {
  return request({
    url: "/api/alumniImage/toExamineImage",
    method: "get",
    params: params,
  });
}
